# Get-RASAVDHost

### NAME

Get-RASAVDHost\ <br>

### SYNOPSIS

The cmdlet returns an object of type Azure Virtual Desktop Host properties.\ <br>

### SYNTAX

Get-RASAVDHost \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#SiteId)] *\<uint>*] \[-[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#ProviderId) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#CommonParameters)*>*]\
\
Get-RASAVDHost \[-[VMId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#VMId)] *\<string>* \[\[-[SiteId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#SiteId)] *\<uint>*] -[ProviderId](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#ProviderId) *\<uint>* \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Get-RASAVDHost.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

To see the complete list of object properties, use the Format-List cmdlet (see examples).\
\
The result set contains only the major properties of a group; it does not include the complete list of settings supported in RAS.\
\
This is an Experimental feature which is subject to slight changes.\ <br>

### PARAMETERS

\
-**VMId \<string>**\
The ID of the VM for which to retrieve the information.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**ProviderId \<uint>**\
Provider Id from which to retrieve the AVD Host.\ <br>

```
        Required?                    true
```

```
        Position?                    named
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**SiteId \<uint>**\
Site ID from which to retrieve the AVD Host.\
\
If the parameter is omitted, the Licensing Server site ID will be used.\ <br>

```
        Required?                    false
```

```
        Position?                    1
```

```
        Default value                0
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[AVDHost\[\]](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/AVDHost\[].html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Get-RASAVDHost -VMID "42311235-09c5-ca15-337d-b9723015edf0" -ProviderID 1\
\
Retrieves information about the Azure Virtual Desktop Host properties specified by the VMId and ProviderId.\
\
To retrieve the info from a specific site, specify the -SiteId parameter.\
\
The Format-List cmdlet formats the display output to include all available group properties.\
\&#xNAN;**---------- EXAMPLE 2 ----------**\
\
Get-RASAVDHost -ProviderID 1\
\
Retrieves all the Azure Virtual Desktop Hosts found within the Provider with Id 1.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/get-rasavdhost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
